part of 'occupancy_bloc.dart';

sealed class OccupancyEvent extends Equatable {
  const OccupancyEvent();

  @override
  List<Object> get props => [];
}

final class LoadOccupancyEvent extends OccupancyEvent {
  const LoadOccupancyEvent(this.param);

  final GetOccupancyParam param;

  @override
  List<Object> get props => [param];
}

final class ClearOccupancyEvent extends OccupancyEvent {
  const ClearOccupancyEvent();
}
